Subject: bug#49822: 28.0.50; python-shell-send functions show no output

From: Augusto Stoffel <[email-masked]>
Date: Thu, 12 Aug 2021 16:57:42 +0200

The specific test described above works for me too.  But the display of
a result in the Python shell is very brittle.  For instance, if one
evaluates a buffer with contents

```
(5
 + 5)
```

then no result is shown.

I guess it would also be desirable to have the behavior of
https://github.com/jackkamm/ipython-shell-send-el work with the regular
interpreter, so evaluating

```
x = 5 + 5
x
```

prints the result `10`.

On Wed,  4 Aug 2021 at 09:18, Lars Ingebrigtsen <[email-masked]> wrote:

> [email-masked] writes:
>
>> M-x run-python
>> type e.g.: 5+5
>> then send using `C-c C-c`
>>
>> The comint shows no output. Same for ipython comint.
>
> I'm unable to reproduce this on the current trunk -- I seem to recall
> this was fixed a few months ago.
>
> [...]
>
>> In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
>> 3.24.25, cairo version 1.16.0)
>>  of 2021-02-18 built on daniel-fedora
>> Repository revision: 185121da6978553d538d37d6d0e67dc52e13311f
>> Repository branch: feature/native-comp
>
> As Andrea said -- this branch no longer exists (it's been merged into
> the trunk), which might explain why your Emacs is half a year behind.